Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82299 - libgtk-x11-2.0.so.0 contains symbol "main"
Summary: libgtk-x11-2.0.so.0 contains symbol "main"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gtk2
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 03:13 UTC by Jens Petersen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-03 15:35:36 UTC


Attachments (Terms of Use)

Description Jens Petersen 2003-01-21 03:13:09 UTC
Description of problem:
libgtk-x11-2.0.so contains the symbol "main", which is
not unfriendly to applications linking against it.

Version-Release number of selected component (if applicable):
gtk2-2.2.0-3

How reproducible:
every time

Steps to Reproduce:
% readelf -a /usr/lib/libgtk-x11-2.0.so.0|grep \ main
    
Actual results:
  2276: 001cc650  7085 FUNC    GLOBAL DEFAULT   10 main

Expected results:
main shouldn't be in the library.

Additional info:
I see this is already fixed in cvs.

Comment 1 Owen Taylor 2003-01-21 15:59:01 UTC
I'm planning to do a 2.2.1 and pull it into the tree at some point
in the next week or so.

Comment 2 Owen Taylor 2003-02-03 15:35:36 UTC
Should be fixed in gtk2-2.2.1


Note You need to log in before you can comment on or make changes to this bug.